<template>
<div class="content">
  <div class="row  p-5">
    <div class="col col-sm-0">
      <div class="card">
      <nav>
        <div class="nav nav-tabs" id="nav-tab" role="tablist">
          <a class="nav-item nav-link active" id="nav-wellcome-tab" data-toggle="tab" href="#nav-wellcome" role="tab" aria-controls="nav-wellcome" aria-selected="true">Wellcome</a>
          <a class="nav-item nav-link" id="nav-client-tab" data-toggle="tab" href="#nav-client" role="tab" aria-controls="nav-client" aria-selected="false">Client</a>
          <a class="nav-item nav-link" id="nav-license-tab" data-toggle="tab" href="#nav-license" role="tab" aria-controls="nav-license" aria-selected="false">License</a>
        </div>
      </nav>
      <div class="tab-content" id="nav-tabContent">
        <div class="tab-pane fade show active" id="nav-wellcome" role="tabpanel" aria-labelledby="nav-wellcome-tab">
          <div class="card">
            <div class="card-body">
              <h1 class="title title-long text-center mt-5">Wellcome To MyReads</h1>
              <h1 class="title title-sub text-center mt-3">(No more e-books gathering e-dust in your e-reader)</h1>
              <div class="text-center p-long text-color">
                <div><b>Lend your e-books as you would with your traditional paper books</b></div>
                <div><b>Enjoy e-books shared by your MyReads friends</b></div>
                <div><b>Post e-books valoration and  comments</b></div>
                <div><b>Enjoy the pleasure of reading</b></div>
                <div><b>...</b></div>
              </div>
              <p>
              </p>

            </div>
          </div>
        </div>
        <div class="tab-pane fade text-color" id="nav-client" role="tabpanel" aria-labelledby="nav-client-tab">
          <div class="card">
        <div class="card-body">
          <h4 class="card-title">MyReads Client</h4>
          <p>If you want share ebooks whith your friends you need to download and install MyReads.cli and mongoDb</p>
          <p>Client is really a little server running on your computer able to share folders of epubs that we call libraries</p>
          <h4 class="card-title mt-5">Download mongoDb</h4>
            Click <a href="https://www.mongodb.com/download-center/community">here</a> and select your operating system, next click in download button, when download ends follow the steps to install mongoDb
          <h4 class="card-title  mt-5">Download Client</h4>
          <div class="row mt-2">
            <div class="col-sm-4">
              <div class="card d-flex justify-content-center align-items-center border-0">
                <img class="card-img-top img" :src="windowsImg" alt="Windows">
                <div class="card-body text-center">
                  <a href="/static/clients/myreads.cli-win32-x64.zip" class="btn btn-primary btn-sm">Download</a>
                </div>
              </div>
            </div>
            <div class="col-sm-4">
              <div class="card d-flex justify-content-center align-items-center border-0">
                <img class="card-img-top img" :src="linuxImg" alt="Linux">
                <div class="card-body text-center">
                  <a href="/static/clients/myreads.cli-linux-x64.zip" class="btn btn-primary btn-sm">Download</a>
                </div>
              </div>
            </div>
            <div class="col-sm-4">
              <div class="card d-flex justify-content-center align-items-center border-0">
                <img class="card-img-top img" :src="macImg" alt="MacOs">
                <div class="card-body text-center">
                  <a href="/static/clients/myreads.cli-mac-x64.zip" class="btn btn-primary btn-sm">Download</a>
                </div>
              </div>
            </div>
          </div>

          <h4 class="card-title  mt-5">Client Configuration</h4>
            First download the client for your operating system and unzip file, next if you have an myreads user you can start a little configuration. Else
            you can get your user clicking ant register button. And last you should edit the file index.js at myreads.cli-(your operating system)\resources\app\config
        <div class="row mt-2">
          <div class="col-sm-6 order-1">
            <img src="/static/appImages/config.png" class="img-fluid ">
          </div>
          <div class="col-sm-6 order-0">
            <ul class="list-group">
              <li class="list-group-item">LOGIN_EMAIL : mail registered in myreads </li>
              <li class="list-group-item">LOGIN_PASS : your password </li>
              <li class="list-group-item">SERVER_NAME : name for the server </li>
              <li class="list-group-item">BOOKS_ROOT_FOLDER  : folder where myreads folder explorer start when you create a new library </li>
            </ul>
          </div>
        </div>
        </div>
      </div>
    </div>
    <div class="tab-pane fade text-color" id="nav-license" role="tabpanel" aria-labelledby="nav-license-tab">
        <div class="card-body">
          <h4 class="card-title mb-5">MyReads is under GNU GPL license</h4>
            <div class="row">
              <div class="col-3 col-lg-2 card text-center">
                <div class="card-body">
                  <div><img src="/static/appImages/copyleft.png" class="img-fluid card-img" alt="copy left symbol"></div>
                  <div class="title card-text m-1 p-0" style="font-size:3vw" >CopyLeft</div>
                </div>
              </div>
              <div class="col-9">
                <h4 class="mb-3">License note</h4>
                <p class="text-justify ml-3">
                  MyReads is free software: you can redistribute it and/or modify
                  it under the terms of the GNU General Public License as published by
                  the Free Software Foundation, either version 3 of the License, or
                  (at your option) any later version.

                  Foobar is distributed in the hope that it will be useful,
                  but WITHOUT ANY WARRANTY; without even the implied warranty of
                  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
                  GNU General Public License for more details.

                  You should have received a copy of the GNU General Public License
                  along with MyReads.  If not, see <a href="https://www.gnu.org/licenses/">https://www.gnu.org/licenses/</a>.
                  </p>
                  <div class="mt-5">
                    <h4 class="mb-3">Public proyect repositories on GitLab</h4>
                      <div class="ml-3"> Server : <a href="https://gitlab.com/jma.megia/myreads.srv">https://gitlab.com/jma.megia/myreads.srv</a></div>
                      <div class="ml-3">Client : <a href="https://gitlab.com/jma.megia/myreads.client">https://gitlab.com/jma.megia/myreads.client</a></div>
                  </div>
              </div>
          </div>
        </div>
    </div>
      </div>

      </div>
    </div>

  </div>
</div>
</template>

<script>
export default {
  name: 'index',
  data () {
    return {
      windowsImg:null,
      linuxImg:null,
      macImg:null
    }
  },
  created: function(){
    const reader = new FileReader();
    this.windowsImg='/static/appImages/windows.png'
    this.linuxImg='/static/appImages/linux.png'
    this.macImg='/static/appImages/mac.png'
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
  .img{
    width: 100px;
    height: 100px;
  }
  .title-long{
    font-size: calc(5vw + 5vh);
  }
  .title-sub{
    font-size: calc(2vw + 2vh);
  }
  .p-long{
    margin-top: 10vh;
    margin-bottom: 10vh;
    font-size: calc(0.8vw + 0.8vh);
  }
  .text-color{
    color: #414D68
  }
</style>
